Subject: RE: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer

From: "Khan, Sohel Q [NTK]" <[email-masked]>
Date: Fri, 12 Aug 2005 10:26:17 -0500

You are correct. I was not telling to include them in the draft notes.
My point: these also need to be worked out in any working group
document.
Sorry for the confusion.

-----Original Message-----
From: Cullen Jennings [mailto:[email-masked]] 
Sent: Friday, August 12, 2005 10:00 AM
To: Richard Shockey; Khan, Sohel Q [NTK]
Cc: sipping
Subject: Re: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer

I was just reporting what happened in the meeting and I don't recall
that
any of the 5 items below came up in the meeting. I pretty sure they did
not.

On 8/12/05 6:57 AM, "Richard Shockey" <[email-masked]> wrote:

> Khan, Sohel Q [NTK] wrote:
> 
>> The following functions also need to be incorporated:
>> 
>> 1. Lawful intercept
>> 2. E911 access
>> 3. Quality of service (in reliability ?)
>> 4. DoS protection (in Trust models?)
>> 5. Privacy (in trust models?)
>> 
>>  
>> 
> This is absurd ... why dont you just call this the IMS P2P BOF
instead.
>> Thanks.
>> Sohel Khan

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Brijesh Kumar" <[email-masked]>
Date: Fri, 12 Aug 2005 12:30:24 -0400

I think Sohel raised some interesting issues -
specially 1,3, 4, and 5 that the group needs to
include in any discussion. Task model is very important
for further development of P2P SIP otherwise you
won't be able to deploy P2P SIP for real life
applications.

--bk

----- Original Message ----- 
From: "Khan, Sohel Q [NTK]" <[email-masked]>
To: "Cullen Jennings" <[email-masked]>; "Richard Shockey"
<[email-masked]>
Cc: "sipping" <[email-masked]>
Sent: Friday, August 12, 2005 11:26 AM
Subject: RE: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer

-----Original Message-----
From: Cullen Jennings [mailto:[email-masked]]
Sent: Friday, August 12, 2005 10:00 AM
To: Richard Shockey; Khan, Sohel Q [NTK]
Cc: sipping
Subject: Re: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer

instead.

---

From: Dean Willis <[email-masked]>
Date: Fri, 12 Aug 2005 13:48:26 -0500

> won't be able to deploy P2P SIP for real life

Discussing the task model probably makes sense. Reliability, DoS 
resistance, and privacy are key elements of any IETF protocol work. I'm 
not certain about access to emergency services -- this may well be 
outside the scope of P2P.

However, I find it extremely unlikely that IETF work on P2P using SIP 
will address or consider lawful intercept.

There are already mechanisms available for lawful intercept in the 
Internet in general (such as RFC 3924).

Consideration of lawful intercept as a protocol requirement is 
generally outside the scope of the IETF. This position is documented in 
RFC 2804, which has as a summary:

    The IETF has decided not to consider requirements for wiretapping as
    part of the process for creating and maintaining IETF standards.

Personally, I believe that if P2P SIP mechanisms prove to be 
particularly sensitive to intercept, then we've failed to correctly 
specify those mechanisms. I feel that this is consistent with the 
intent of RFC 1984.

--
Dean

---

From: Richard Shockey <[email-masked]>
Date: Fri, 12 Aug 2005 16:49:02 -0400

>won't be able to deploy P2P SIP for real life
Yes .. because its obvious that Skype is useless in real life 
applications.  :-)

-- 

Richard Shockey, Director - Member of Technical Staff
NeuStar Inc.
46000 Center Oak Plaza  -   Sterling, VA  20166
sip:rshockey(at)iptel.org   sip:57141(at)fwd.pulver.com
ENUM +87810-13313-31331
PSTN Office +1 571.434.5651 PSTN Mobile +1 703.593.2683
Fax: +1 815.333.1237
<mailto:richard(at)shockey.us> or 
<mailto:richard.shockey(at)neustar.biz>
<http://www.neustar.biz> ; <http://www.enum.org>
<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<